For the complete documentation index, see llms.txt. This page is also available as Markdown.

RewardsData

get

Retrieves rewards configuration data for an asset

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • Account identifier for the request
Query parameters
chainIdstringRequired
  • Chain ID to target
addressstringRequired
  • Contract address
assetstringRequired
  • Asset address to get rewards data for
rewardstringRequired
  • Reward token address
Header parameters
AuthorizationstringRequired
  • Authorization token from the request header
Responses
200

Array of reward configuration data

application/json

Represents the structure of the API response for AAVE v3 rewards.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

datastring[]Optional

The data returned by the API, if any.

get/aave/v3/rewards/{account}/rewardsData
GET /aave/v3/rewards/{account}/rewardsData?chainId=text&address=text&asset=text&reward=text HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

Array of reward configuration data

{
  "success": true,
  "message": "text",
  "data": [
    "text"
  ]
}